warmux (1:11.04.1+repack2-1endless1) eos; urgency=low

  * debian/rules: Create the system font symlinks in place.
  * debian/warmux-data.links: Remove as symlinks are created in rules.

 -- Dan Nicholson <nicholson@endlessm.com>  Mon, 23 Jun 2014 14:27:09 -0700

warmux (1:11.04.1+repack2-1) unstable; urgency=medium

  * Replace the copyrighted superman logo. (Closes: #742994)
    - Repackage upstream tarball.
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Felix Geyer <fgeyer@debian.org>  Sat, 26 Apr 2014 13:21:58 +0200

warmux (1:11.04.1+repack-5) unstable; urgency=low

  [ Eddy Petrișor ]
  * remove myself from Uploaders

  [ Jonathan Dowland ]
  * Update the Homepage field. (Closes: #699640)

  [ Felix Geyer ]
  * Make warmux-data depend on fonts-dejavu-core instead of ttf-dejavu-core.
  * Switch to my @debian.org email address.
  * Bump Standards-Version to 3.9.4, no changes needed.
  * Fix typo in warmux-dbg dependencies.
  * Drop all wormux transitional packages.
  * Add 09_translation_fixes_de.patch to fix several German translations.
    Thanks to Bruno Kleinert for the patch and sorry for the long delay.
    (Closes: #623867)
  * Use canonical Vcs URIs.

 -- Felix Geyer <fgeyer@debian.org>  Mon, 10 Jun 2013 22:48:35 +0200

warmux (1:11.04.1+repack-4) unstable; urgency=high

  [ Benjamin Mesing ]
  * Do not rely on dirent.d_type when calling readdir as
    this breaks on certain filesystems. (Closes: #701214)
     - Add 08_fix_dirlisting.patch

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 17 Apr 2013 17:43:27 +0200

warmux (1:11.04.1+repack-3) unstable; urgency=low

  * Fix FTBFS with gcc 4.7. (Closes: #672051)
    - Add 07_fix_build_gcc47.patch

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 13 May 2012 11:22:08 +0200

warmux (1:11.04.1+repack-2) unstable; urgency=low

  * Switch to debhelper compat level v9 which exports build flags.
  * Depend on fonts-vlgothic instead of ttf-vlgothic as the latter is a
    transitional package.
  * Move all transitional packages to section oldlibs and priority extra.
  * Fix FTBFS with libpng 1.5. (Closes: #649788)
    - Add 05_fix_build_libpng15.patch
  * Build-depend on libpng-dev instead of libpng12-dev. (Closes: #662543)
  * Fix FTBFS with libsdl-net 1.2.8. (Closes: #664928)
    - Add 06_fix_build_sdlnet.patch
  * Bump build-dependency on debhelper to >= 9.
  * Bump Standards-Version to 3.9.3, no changes needed.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sat, 24 Mar 2012 14:09:48 +0100

warmux (1:11.04.1+repack-1) unstable; urgency=low

  * New upstream release.
  * Remove the embedded copy of the Ubuntu font as it is not considered
    DFSG-free.
    - Use the DejaVu Sans font instead.
  * Update the package description as Warmux supports playing against
    computer opponents. (Closes: #624798)
  * Drop 05_fix_build_s390.patch, fixed upstream.
  * Adapt 03_respect_build_flags_from_env.patch to new upstream version.
  * Don't rename Ukrainian translation anymore, fixed upstream.
  * Bump Standards-Version to 3.9.2, no changes needed.
  * Remove Uploaders that haven't committed anything for a long time.
  * Drop unused lintian overrides.
  * Set minimal libsdl-gfx1.2-dev version to 2.0.22.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 19 Jun 2011 14:02:13 +0200

warmux (1:11.01+repack-1) unstable; urgency=low

  * New upstream release.
    - Changed name to WarMUX.
  * Refresh patches.
  * Add transitional packages for the old name "wormux".
  * Drop 01_dont_remove_stamp_po.patch and don't backup/restore config.h
    and warmux.pot, not needed anymore.
  * Switch to debhelper compat level 8.
  * Don't compress pdf files.
  * Repack orig tarball to remove embedded source code of various libraries.
    - Add 01_fix_repack_configure.patch
  * Rename the Ukrainian translation to the corrent locale code "uk".
  * Fix FTBFS on s390. (Closes: #602822)
    - Add 05_fix_build_s390.patch
  * Add abort-on-upstream-changes to debian/source/local-options.

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 15 Feb 2011 22:37:30 +0100

wormux (1:0.9.2.1-1) experimental; urgency=low

  * New upstream version. (Closes: #567762; LP: #541078)
    - Fixes segmentation fault during network games. (Closes: #530259)
  * Convert package from cdbs to dh7 rules.
  * Switch to source package format 3.0 (quilt).
  * Tighten dependency on wormux-data.
  * Add ttf-vlgothic and ttf-wqy-microhei to the wormux-data dependencies as
    we create symlinks to these fonts instead of shipping our own copy.
  * Patch upstream desktop file instead of providing our own.
    - Add 02_desktop_file.patch.
  * Add myself to Uploaders.
  * Bump Standards-Version to 3.9.1.
  * Use "Breaks" instead of "Conflicts".
  * wormux-server and wormux-data don't recommend wormux anymore.
  * Use the autoreconf debhelper sequence.
  * Warn about files that aren't installed in any package.
  * Respect the CFLAGS/CXXFLAGS environment variables in the autoconf script.
    - Add 03_respect_build_flags_from_env.patch.
  * Add a debug package.
  * Fix FTBFS on kfreebsd.
    - Add 04_fix_build_kfreebsd.patch.
  * Add man pages for wormux-server and wormux-index-server.

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 05 Oct 2010 22:32:53 +0200

wormux (1:0.8.5-1) unstable; urgency=low

  * New upstream version (Closes: 536565)
  * new binary package wormux-servers: contains wormux-index-server
    and wormux-game-server
  * enabled fribidi support (adds a new build-dep on libfribidi-dev)
  * small typo fix in debian/README.source
  * install howto play guides (Closes: 382822)
  * install example configuration files for the servers
  * make sure that after clean the tree is in a clean state
    - patched po/Makefile.in for this

 -- Eddy Petrișor <eddy.petrisor@gmail.com>  Mon, 28 Sep 2009 02:03:59 +0300

wormux (1:0.8.4-1) unstable; urgency=low

  [ Eddy Petrișor ]
  * New Upstream Version

  [ Gerfried Fuchs ]
  * Removed myself from Uploaders - can't bear the load of wormux upstream
    source in VCS, sorry.

  [ Eddy Petrișor ]
  * resync control.in; somebody updated control directly

 -- Eddy Petrișor <eddy.petrisor@gmail.com>  Sat, 25 Jul 2009 01:06:20 +0200

wormux (1:0.8.3-1) unstable; urgency=low

  * New Upstream Version (Closes: #520038)
  * Upload to unstable.
  * Add ${misc:Depends} to wormux-data as suggested by lintian.
  * Bump Standards-Version to 3.8.1.
  * Added a blurb to the copyright file about the Debian packaging licensing.

 -- Gerfried Fuchs <rhonda@debian.at>  Tue, 17 Mar 2009 13:02:33 +0100

wormux (1:0.8.2-1) experimental; urgency=low

  * New Upstream Version (Closes: 500930)
  * upload to experimental
  * replaced the heavy libxml++2.6-dev build-dep with the libxml2-dev,
    since only the later is necessary starting with 0.8
  * dropped all patches since they originated upstream trunk

 -- Eddy Petrișor <eddy.petrisor@gmail.com>  Tue, 04 Nov 2008 05:22:37 +0200

wormux (1:0.8-2) unstable; urgency=low

  [ Cyril Brulebois ]
  * debian/control.in:
     - Fix grammar in the short description of the wormux-data package.
  * debian/control:
     - Refresh accordingly.
  * debian/watch:
     - Use upstream version mangling to replace “beta” with “~beta”, which
       should help sorting new upstream beta versions correctly.

  [ Eddy Petrișor ]
  * moved to git for maintenance and changed Vcs-* fields accordingly
  * imported the refresh-patches mechanism from tokyocabinet's package;
    thanks MadCoder
  * added simplepatchsys for patch management
  * Updated copyright information:
    - Added more of the upstream authors
    - cleared up debian/* license, thanks to all co-maintainers
  * imported some patches from upstream that fix important or RC bugs:
    - fix for a crash in the chat code when clearing the text
    - fix a segfault when the sound device wasn't available
    - do not load the index server needlessly with unaccessible games
  * update standards version to 3.8.0:
    - wrapped the Uploaders field
    - added debian/README.source, as recommended in debian-policy 4.14

 -- Eddy Petrișor <eddy.petrisor@gmail.com>  Tue, 26 Aug 2008 11:14:16 +0300

wormux (1:0.8-1) unstable; urgency=low

  * New upstream release.
  * Use an epoch since upstream prefers that to a “0.8final-1” revision.
  * debian/copyright:
     - Update copyright years.
     - Fix typo.
  * Debian patches:
     - Drop all patches, merged upstream.
     - Remove simple-patchsys.mk include in debian/rules.
  * debian/control.in:
     - Fix Vcs-Svn URL (“svn://” instead of “ssh://”).
     - Nuke trailing spaces and double spaces in the long
       descriptions. Also reformat the paragraphs.
     - Update my mail address.
  * debian/control:
     - Refresh accordingly, using the “update_control” target.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 20 May 2008 19:37:34 +0200

wormux (0.8beta4-2) unstable; urgency=low

  [ Eddy Petrișor ]
  * fix build issues on gcc-4.3 (Closes: 462566)
    the patch is split in two:
    - one was initialy created for upstream trunk
    - the second was especially created for wormux 0.8beta4
      since the first patch was not enough for this version

  [ Gerfried Fuchs ]
  * Recoded copyright to utf8.

 -- Gerfried Fuchs <rhonda@debian.at>  Fri, 29 Feb 2008 15:56:33 +0100

wormux (0.8beta4-1) unstable; urgency=low

  * New upstream release.
  * Bumped Standards-Version to 3.7.3, required changes were done already.

 -- Gerfried Fuchs <rhonda@debian.at>  Thu, 03 Jan 2008 17:08:23 +0100

wormux (0.8beta3-1) unstable; urgency=low

  [ Gerfried Fuchs ]
  * Make watchfile actually watch.

  [ Barry deFreese ]
  * Fix desktop file Action is not a valid category
    * Remove full path from exec line.
  * (Description is still not HIG compliant)
  * Add VCS tages in control and move Homepage from description

  [ Eddy Petrișor ]
  * drop using the mis-feature DEB_AUTO_UPDATE_DEBIAN_CONTROL of cdbs
    since it can lead to various issues and is a serious reason for
    REJECTS for NEW packages:
    http://lists.debian.org/debian-devel-announce/2005/08/msg00011.html
    Also see: http://bugs.debian.org/311724
  * to compensate for the previous removal, add a script that does the same
    thing, but needs to be manually ran by the maintainer; added also a
    debian/rules rule that wraps the same script to make its purpose more
    obvious
  * include new upstream release 0.8beta3
    - drop char-int.patch since it was applied upstream
  * build depend explicitly libcurl4-gnutls-dev since:
    - we don't need openssl specific stuff
    - wormux is GPL-ed and linking against openssl would need an exception
  * propagate Barry's changes on control to control.in, too, since they
    would be forgotten on the next debian/control generation

 -- Eddy Petrișor <eddy.petrisor@gmail.com>  Wed, 05 Dec 2007 03:56:04 +0200

wormux (0.8beta2-2) unstable; urgency=low

  * Bumped wormux-data conflicts on wormux to current 0.8beta2 version, old
    wormux doesn't work with current wormux-data.

 -- Gerfried Fuchs <rhonda@debian.at>  Tue, 18 Sep 2007 12:08:02 +0200

wormux (0.8beta2-1) unstable; urgency=low

  [ Eddy Petrișor ]
  * New upstream release

  [ Gerfried Fuchs ]
  * Added char-int.patch to store the real return value and be signed, which
    is tested for.
  * Added myself to Uploaders.

 -- Gerfried Fuchs <rhonda@debian.at>  Mon, 10 Sep 2007 17:34:19 +0200

wormux (0.8beta1-1) unstable; urgency=low

  [ Eddy Petrișor ]
  * new upstream release
  * dropped the patch for the gcc 4.2 FTBFS since it was backported from
    upstream
  * dropped the autopackage disabling patch since now is fixed properly
    in upstream
  * made the package binNMU safe

  [ Jon Dowland ]
  * update menu section to "Games/Action" for menu policy transition.
    Thanks Linas Žvirblis.

 -- Eddy Petrișor <eddy.petrisor@gmail.com>  Fri, 20 Jul 2007 02:50:31 +0300

wormux (0.7.9-4) unstable; urgency=low

  * backported upstream changes wrt failure to build with GCC 4.2
    (Closes: #424582)

 -- Eddy Petrișor <eddy.petrisor@gmail.com>  Mon, 28 May 2007 16:56:25 +0300

wormux (0.7.9-3) unstable; urgency=high

  * debian/rules:
    + Split the install rule into -arch and -indep versions to fix an FTBFS
      when only -arch packages are built (Closes: #410406).

  * debian/control:
    + Add myself to the uploaders.
    + Uncapitalised short description and removed leading "a" from it.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 13 Feb 2007 01:57:06 +0100

wormux (0.7.9-2) unstable; urgency=high

  [ Eddy Petrișor ]
  * urgency high since it fixes a serious bug (even if it doesn't matter since
    we're in freeze)

  [ Jean Parpaillon (artefact) ]
  * Disable autopackage and load correct font file (Closes: #410272)
  * Add music in wormux-data

 -- Jean Parpaillon (artefact) <artefact@altern.org>  Fri,  9 Feb 2007 18:13:14 +0100

wormux (0.7.9-1) unstable; urgency=low

  [ Eddy Petrișor ]
  * merged 0.8alpha1-1, 0.7.4-2 and 0.7.4-3 releases
  * correct my name also in the control.in file
  * add patchutils as a build dependency in the control.in file, too
  * dropped the patch for resolution problem since it was 0.7.4 specific
  * localisation info is now present in the data package, (as a
    consequence, current wormux-data package conflicts with older wormux
    packages)

  [ Cyril Brulebois ]
  * Dropped libsdl-ttf1.2-dev from the build dependencies, since it is
    obsolete and replaced by libsdl-ttf2.0-dev. No need to `or' them any
    longer (Closes: #400333). Urgency set to `high'.
  * Added myself in the Uploaders field.
  * Bumped debhelper compatibility from 4 to 5 (no change needed).

  [ Gonéri Le Bouder ]
  * remove Applications from Categorie in the desktop file since it's not
    an official categorie

  [ Jean Parpaillon ]
  * Update upstream 0.7.9
  * Dropped patch fox out of range angles as it is now included into upstream
  * Dropped patchsys dependancies
  * Added libcurl3-dev build-dep
  * Move pixmaps and .desktop to wormux package (avoid lintian warning)

 -- Jean Parpaillon (artefact) <artefact@altern.org>  Tue,  6 Feb 2007 09:47:50 +0100

wormux (0.7.4-2) unstable; urgency=medium

  [ Eddy Petrișor ]
  * do not install upstream changelog twice (Closes: #383990)
  * fix the problem with extreemly large angles for the gnu,
    many thanks to upstream (Laurent DEFERT SIMONNEAU) for
    tracking down the core of the problem (Closes: #392774)
  * added patchutils as a build dependency since we need patches
  * wrote my name with the correct diacritic in control file
  * doesn't crash if default resolution is unavailable, thanks
    Hanna Ollila for the initial patch (Closes: #395217)

 -- Eddy Petrișor <eddy.petrisor@gmail.com>  Mon, 13 Nov 2006 23:59:18 +0200

wormux (0.7.4-1) unstable; urgency=low

  * Update upstream 0.7.4

 -- Jean Parpaillon (artefact) <artefact@altern.org>  Fri, 18 Aug 2006 10:13:17 +0200

wormux (0.7.3-1) unstable; urgency=low

  [ Sam Hocevar (Debian packages) ]
  * debian/control:
    + Uncapitalised short descriptions and removed leading "an".

  [ Jean Parpaillon (artefact) ]
  * Update upstream 0.7.3
  * Bug fix: segfault when switching with keyboard (closes: Bug#378803)

 -- Jean Parpaillon (artefact) <artefact@altern.org>  Mon,  7 Aug 2006 09:54:38 +0200

wormux (0.7.2-6) unstable; urgency=low

  * Bug fix: build dependency libsdl-ttf1.2-dev does not exist anymore, 
    removed from build depends (closes: Bug#378293)

 -- Jean Parpaillon (artefact) <artefact@altern.org>  Mon, 17 Jul 2006 09:56:30 +0200

wormux (0.7.2-5) unstable; urgency=low

  [ Eddy Petrișor ]
  * added a watch file

  [ Jean Parpaillon (artefact) ]
  * Added Italian translation for wormux.desktop
  * Fixed Build-Depends on build-essential (control file generated from an bad
  cdbs version)

  [ Bruno Kleinert ]
  * Added german translation for wormux.desktop
  * Added copyright for font file in upstream tarball

 -- Jean Parpaillon (artefact) <artefact@altern.org>  Mon,  3 Jul 2006 10:48:25 +0200

wormux (0.7.2-4) unstable; urgency=low

  * Migrate package to CDBS.
  * Removed unused Build-Dep: automake1.9

 -- Jean Parpaillon (artefact) <artefact@altern.org>  Fri,  9 Jun 2006 12:09:45 +0200

wormux (0.7.2-3) unstable; urgency=low

  * Fix dependancies calculation: forgot call to dh_shlibdeps

 -- Jean Parpaillon (artefact) <artefact@altern.org>  Fri,  2 Jun 2006 11:58:51 +0200

wormux (0.7.2-2) unstable; urgency=low

  [ Eddy Petrişor ]
  * corrected Jean's address in Uploaders field, my pleasure (maybe the
    lintian check should be done on the email address, and exclude the visible
    name)
  * added myself in the Uploaders field
  * added call to dh_strip after build
  * really use UTF-8 in the desktop file, not only pretend that
  * translated into Romanian the desktop comment

  [ Jean Parpaillon (artefact) ]
  * Fixed manpage installation
  * Update menus icons from upstream 

 -- Jean Parpaillon (artefact) <artefact@altern.org>  Mon, 29 May 2006 18:03:16 +0200

wormux (0.7.2-1) unstable; urgency=low

  * (0.7.2) New upstream release
  * Manpage comes fromn upstream now
  * Compilation-time font path is in upstream now

 -- Jean Parpaillon (artefact) <artefact@altern.org>  Fri, 26 May 2006 16:59:10 +0200

wormux (0.7.1-1) unstable; urgency=low

  * (0.7.1) New upstream release (Closes: #352064)

 -- Jean Parpaillon (artefact) <artefact@altern.org>  Mon, 24 Apr 2006 16:57:30 +0200

wormux (0.7-1) unstable; urgency=low

  * Upstream update from 0.7 release

 -- Jean Parpaillon <artefact@altern.org>  Tue,  4 Apr 2006 14:39:04 +0200

wormux (0.7beta3+svn20060216-1) unstable; urgency=low

  * (beta3+svn20060216) New upstream release

 -- Jean Parpaillon <artefact@altern.org>  Thu, 16 Feb 2006 10:18:28 +0100

wormux (0.7beta3-1) unstable; urgency=low

  * Initial release

 -- Jean Parpaillon <artefact@altern.org>  Thu, 26 Jan 2006 10:04:22 +0100

